Oticz's HUD


#1

Hi. The links of oticz are dead but i got this hud from a dear player so i wanna share here too. Oticz works on Grangerhub & Zittrig servers too.
The HUD:

Download link: http://balazssite.nhely.hu/tremulous/oticz

1.Installation
a.Put the included ui and vm folders in your base folder
b.Run Tremulous and open the console
c.Type /exec ui/oticz_install.cfg

2.Uninstall
a.Run Tremulous and open the console
b.Type /exec ui/oticz_uninstall.cfg

3.Upgrading
a.Overwrite the ui and vm folders.
b.Delete the pk3 from previous versions (base/vms-svn931-backport-4.pk3).
b.Run Tremulous and open the console
c.Type /exec ui/oticz_install.cfg

4.Credits
Thanks goes out to:
3of12
BunnyTheLifeguard
Clay[Born]
Comp
DnC Crew
Dracone
Hellrider
Jit
Kang
Mercenaries Guild
Mexel
Mindy/Graph05
Risujin

Warning! This HUD is not mine! I just shared this hud.


#2

Nice find! For 1.3 servers like GrangerLab and Unitremia the HUD files might need to be modified to work properly. GrangerPub and GrangerClub currently use the 1.1 slacker’s QVM, which is why 1.1 HUDs should work fine unmodified on those servers. I don’t think the client version matters much for the operation of the HUD, this needs to be confirmed but for the same servers this HUD should work fine on the 1.3 client, the main factor is the kind of server you play on.

I have found some other versions of Oticz’s HUD (note that I haven’t tested these) on dl.grangerhub.com:


#3

Eh. On Trem 1.3 the oticz huds are not working :confused:


#4

Hello @destroycandy, what exactly is going on with the HUD?


#5

no info bar like heal, bp, crosshair, selected weapons and etc.


#6

Installed correctly? What server are you trying it on? It may be a fact that on Unitream or GrangerLab HUDs are not supported.


#7

Maybe. I removed latest hud with oticz_uninstall.cfg and then I installed it as oticz_install.cfg command. I tried it on zittrigs servers. Thats interesting on trem 1.1 the hud works flawlessy.


#8

HUDs are managed by the cgame, which is specific to the server. So 1.1 HUDs are compatible with servers that host 1.1 cgame QVMs. For example, GrangerPub and GrangerClub make use of the 1.1 slacker’s mod (for now, although we will be upgrading those servers to the Vanilla mode of 1.3 at some point when that is ready), so while GPub and GClub uses that 1.1 cgame, 1.1 HUDs like Oticz would work on them even if you are using the 1.3 client. In 1.2 the HUD code in the cgame changed a lot, and 1.1 HUDs would have to be converted. Currently the 1.3 HUD code in the cgame is very similar to 1.2, so 1.2 HUDs might be more compatible without needing as much adjustment, although we do have some new features in the 1.3 HUD.


#9

OK, idk what happened but now it works. Hopefully. Hopefully I can use a so stable trem client with my favourite hud.


#10

Don’t we just need to add HUD compatibility to the 1.3 client?


#11

The 1.3 client can already work with any HUD supported by the server you are currently connected to.

Did you have it working on the GrangerLab and/or Unitremia servers? It should work on the GrangerPub and GrangerClub servers that currently use the multiprotocolized 1.1 slacker qvm.


#12

I did it on Zittrigs servers. Before It didnt worked on zittrig with Trem 1.3 client but now it works. So idk what I did but i am happy at now lol :smiley:


#13

Why is it when I quote someone the System removes it but not you. :thonk:
Also, ah I see, ok. :slight_smile: